aspose file tools*
The moose likes XML and Related Technologies and the fly likes xsd Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Engineering » XML and Related Technologies
Bookmark "xsd" Watch "xsd" New topic
Author

xsd

muthu bharathi
Ranch Hand

Joined: Dec 10, 2008
Posts: 97
Hi,

I would like to know if there is a way to validate an XML file with an XSD,without having the declaration of the xsd file in xml.

Please let me know about that....



-- Thanks in Advance
M. Bharathi
Paul Sturrock
Bartender

Joined: Apr 14, 2004
Posts: 10336

Yes. Did you read the link I suggested in your last post?


JavaRanch FAQ HowToAskQuestionsOnJavaRanch
muthu bharathi
Ranch Hand

Joined: Dec 10, 2008
Posts: 97
Hi Paul,

ya i got it.. thanks a lot paul...




--with thanks
M. Bharathi
muthu bharathi
Ranch Hand

Joined: Dec 10, 2008
Posts: 97
Hi Paul,

if i execute the code (ie, xml validation using xsd in java)it working fine in jdk1.5
But if i execute in jdk1.4 is shows the version problem.

i need your suggestion.

--with thanks
M. Bharathi
Paul Sturrock
Bartender

Joined: Apr 14, 2004
Posts: 10336

Well the first sentance of that link:

Some of the exciting new features of the Java 2 Platform, Standard Edition (J2SE) 5.0 release, code-named Tiger, are the added XML validation package at javax.xml.validation

should give away the reason why. The javax.xml.validation package doesn't exist before 5.0. Why are you using 1.4.2?
muthu bharathi
Ranch Hand

Joined: Dec 10, 2008
Posts: 97
Hi,
Nothing special reason behind using jdk1.4

In my office we try in jdk1.4 and jdk1.5 but i got the output in jdk1.5..

if i execute with jdk1.4 it shows version problem..

the error like major or minor version 49.0........

--
with Regards,
M. bharathi
 
Consider Paul's rocket mass heater.
 
subject: xsd